<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
/*-------------------------------------------------------+
| DigiDot Theme for PHP-Fusion v7.00+
| Filename: theme.php
| Author: jikaka
| Web: http://www.rusfusion.ru/
|--------------------------------------------------------+
| This theme is released under the terms and conditions |
| of the GNU Affero GPL v3. |
+------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
require_once INCLUDES."theme_functions_include.php";

define("THEME_WIDTH", "100%");
define("THEME_BULLET", "<img src='".THEME."images/bullet.png' alt='' />");

function render_page($license=false) {

global $settings, $main_style;

	//Header
	echo "<div class='$main_style' style='width:".THEME_WIDTH.";'>\n";
	echo "<div class='floatfix'>\n";
	echo "<div class='full-header floatfix'>\n\n".showbanners()."</div>\n";
	echo "<div class='sub-header floatfix'>\n";
	echo "<div style='float:left;'>".showsublinks("","white")."</div>\n";
	echo "<div style='float:right;'>".showsubdate()."</div>\n";
	echo "</div></div>\n";
	
	//Content
	if (LEFT) { echo "<div id='side-border-left'>".LEFT."</div>\n"; }
	if (RIGHT) { echo "<div id='side-border-right'>".RIGHT."</div>\n"; }
	echo "<div id='main-bg' class='clearfix'><div id='container'>".U_CENTER.CONTENT.L_CENTER."</div></div>\n";
	
	//Footer
	echo "<div class='footer clear' style='text-align:center;'>\n";
	echo "<div class='footer-top'><div style='padding: 25px 0 0 0;'>".stripslashes($settings['footer'])."</div></div>\n";
	echo "<div class='footer-bottom'>\n";
	echo "<div class='footer-menu'>".showsublinks("","white")."</div>\n";
	echo "<hr class='foot' />\n";
	echo "<div class='copy'>\n";
	if ($license == false) { echo showcopyright()."<br />\n"; }
	echo "Theme DigiDot by <a href='http://www.rusfusion.ru'>jikaka</a><br />\n";
	echo showcounter()."<br /><br />\n";
	echo "</div>\n</div>\n</div>\n</div>\n";

}

function render_news($subject, $news, $info) {

	echo "<div class='capmain'>$subject</div>\n";
	echo "<div class='main-body floatfix'>".$news."</div>\n";
	echo "<div class='news-footer'>\n";
	echo newsposter($info,"&middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</div>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<div class='capmain'>$subject</div>\n";
	echo "<div class='main-body floatfix'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
	echo "<div class='news-footer'>\n";
	echo articleposter($info,"&middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</div>\n";

}

function opentable($title) {

	echo "<div class='capmain'>$title</div>\n";
	echo "<div class='main-body floatfix'>\n";

}

function closetable() {

	echo "</div>\n";

}

function openside($title, $collapse = false, $state = "on") {
	
	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<div class='border'>\n";
	echo "<div class='scapmain'>";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<div style='float:right;'>".panelbutton($state,$boxname)."</div>";
	}
	echo $title."</div>\n<div class='side-body floatfix'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside($collapse = false) {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</div>\n</div>\n";

}
?>